Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.cs.img.owl.validation
Class ValidationTestServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--uk.ac.man.cs.img.owl.validation.ValidationTestServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class ValidationTestServlet
extends javax.servlet.http.HttpServlet

Basic Validation Servlet.

Version:
  $Id: ValidationTestServlet.java,v 1.1.1.1 2003/10/14 17:10:19 sean_bechhofer Exp $
See Also:
  Serialized Form

Constructor Summary
`ValidationTestServlet()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` | `doRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` | `printFooter(PrintWriter out)`
`protected void` | `printForm(PrintWriter out)`
`protected void` | `printHeader(PrintWriter out)`
`protected void` | `printHelp(PrintWriter out)`
`protected void` | `printHost(PrintWriter out)`
`protected void` | `printInfo(PrintWriter out)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidationTestServlet

    public ValidationTestServlet()
                          throws javax.servlet.ServletException

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws IOException,
                      javax.servlet.ServletException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
    `IOException`
    `javax.servlet.ServletException`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws IOException,
                       javax.servlet.ServletException

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
    `IOException`
    `javax.servlet.ServletException`

### doRequest

    public void doRequest(javax.servlet.http.HttpServletRequest request,
                          javax.servlet.http.HttpServletResponse response)
                   throws IOException,
                          javax.servlet.ServletException

    `IOException`
    `javax.servlet.ServletException`

### printHeader

    protected void printHeader(PrintWriter out)

### printFooter

    protected void printFooter(PrintWriter out)

### printInfo

    protected void printInfo(PrintWriter out)

### printForm

    protected void printForm(PrintWriter out)

### printHost

    protected void printHost(PrintWriter out)

### printHelp

    protected void printHelp(PrintWriter out)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb